## com.saxonica.codegen
Class StringValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.StringValueCompiler

    public class StringValueCompiler

extends ValueCompiler

Generate Java code for a string literal

Constructor Summary
`StringValueCompiler()`

Method Summary
`String` `compileToCharSequence(CompilerService compiler, AtomicValue exp)` Compile Java code whose effect is to compute the string value of the expression; the generated code returns a CharSequence.
`String` `compileToEffectiveBooleanValue(CompilerService compiler, Value expr, ReturnAction options)`
`String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueCompiler

    public StringValueCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public String compileToEffectiveBooleanValue(CompilerService compiler,
                                                 Value expr,
                                                 ReturnAction options)

  Overrides:
    `compileToEffectiveBooleanValue` in class `ValueCompiler`

### compileToCharSequence

    public String compileToCharSequence(CompilerService compiler,
                                        AtomicValue exp)

  Compile Java code whose effect is to compute the string value of the expression; the generated code returns a CharSequence. This method must only be called for an expression that is known to return a value of type xs:string

  Overrides:
    `compileToCharSequence` in class `ValueCompiler`
  Parameters:
    `exp` - The expression to be compiled
  Returns:
    the name of a variable to which the resulting CharSequence is assigned, or a Java expression that can be used in a place where a variable reference of type CharSequence is allowed.

### toJavaExpression

    public String toJavaExpression(AtomicValue value,
                                   CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.